> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取提取状态

> 如果你是需要 Firecrawl API 密钥的 AI 代理，请参阅 [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) 获取自动化接入说明。


## OpenAPI

````yaml zh/api-reference/v2-openapi.json GET /extract/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /extract/{id}:
    parameters:
      - description: 提取作业的 ID
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Extraction
      summary: 获取提取任务的状态
      operationId: getExtractStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractStatusResponse'
          description: 成功响应
      security:
        - bearerAuth: []
components:
  schemas:
    ExtractStatusResponse:
      properties:
        data:
          type: object
        expiresAt:
          format: date-time
          type: string
        status:
          description: 当前提取任务的状态
          enum:
            - completed
            - processing
            - failed
            - cancelled
          type: string
        success:
          type: boolean
        tokensUsed:
          description: 提取任务使用的 token 数量。仅在任务完成后可查看。
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````